Bug 354811 - kscreenlocker_greet crashes if using compiz instead of kwin
Summary: kscreenlocker_greet crashes if using compiz instead of kwin
Status: RESOLVED FIXED
Alias: None
Product: kscreenlocker
Classification: Unclassified
Component: greeter (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-03 22:22 UTC by Mikhail Khvoinitsky
Modified: 2016-01-15 21:16 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.19


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Khvoinitsky 2015-11-03 22:22:59 UTC
I've replaced kwin with compiz because of issues with kwin and intel driver

Reproducible: Always

Steps to Reproduce:
1. Install compiz
2. lock screen

Actual Results:  
kscreenlocker_greet crashes soon after appearing of lockscreen

Expected Results:  
kscreenlocker_greet shold not crash
Comment 1 Mikhail Khvoinitsky 2015-11-03 22:29:02 UTC
coredump → https://owncloud.khvoinitsky.org/index.php/s/nFSB4yPWd2nrYC6
Comment 2 Martin Flöser 2015-11-16 14:21:44 UTC
could you please add the backtrace to this bug report?
Comment 3 Mikhail Khvoinitsky 2015-11-16 15:52:21 UTC
sure. I've extracted it from coredump using gdb because drkonqi is not launched when  kscreenlocker_greet crashes.
Also, I've reuploaded coredump as the previous one in some specific (?) systemd format.
https://owncloud.khvoinitsky.org/index.php/s/NjMZAbaGZepXulo

#0  0x00007fb7718f75f8 in raise () from /usr/lib/libc.so.6
#1  0x00007fb773ced1c7 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libKF5Crash.so.5
#2  <signal handler called>
#3  0x00007fb7718f75f8 in raise () from /usr/lib/libc.so.6
#4  0x00007fb7718f8a7a in abort () from /usr/lib/libc.so.6
#5  0x00007fb772092fc1 in QMessageLogger::fatal(char const*, ...) const ()
   from /usr/lib/libQt5Core.so.5
#6  0x00007fb76cfe8b21 in QWidgetPrivate::init(QWidget*, QFlags<Qt::WindowType>)
    () from /usr/lib/libQt5Widgets.so.5
#7  0x00007fb76cffebc3 in QDesktopWidget::QDesktopWidget() ()
   from /usr/lib/libQt5Widgets.so.5
#8  0x00007fb76cfa036d in QApplication::desktop() ()
   from /usr/lib/libQt5Widgets.so.5
#9  0x00007fb754a37e72 in ?? ()
   from /usr/lib/qt/plugins/kf5/org.kde.kwindowsystem.platforms/KF5WindowSystemX11Plugin.so
#10 0x00007fb76dbe4b72 in NETRootInfo::currentDesktop(bool) const ()
   from /usr/lib/libKF5WindowSystem.so.5
#11 0x00007fb754a3587c in ?? ()
   from /usr/lib/qt/plugins/kf5/org.kde.kwindowsystem.platforms/KF5WindowSystemX11Plugin.so
---Type <return> to continue, or q <return> to quit---
#12 0x00007fb77228350f in QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*) () from /usr/lib/libQt5Core.so.5
#13 0x00007fb7603de8d4 in QXcbConnection::handleXcbEvent(xcb_generic_event_t*) ()
   from /usr/lib/libQt5XcbQpa.so.5
#14 0x00007fb7603df683 in QXcbConnection::processXcbEvents() ()
   from /usr/lib/libQt5XcbQpa.so.5
#15 0x00007fb7722b5ff1 in QObject::event(QEvent*) ()
   from /usr/lib/libQt5Core.so.5
#16 0x00007fb772286879 in QCoreApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libQt5Core.so.5
#17 0x00007fb7722869ab in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /usr/lib/libQt5Core.so.5
#18 0x00007fb772288da6 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#19 0x00007fb7722dcf43 in ?? () from /usr/lib/libQt5Core.so.5
#20 0x00007fb769ef7dc7 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#21 0x00007fb769ef8020 in ?? () from /usr/lib/libglib-2.0.so.0
#22 0x00007fb769ef80cc in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#23 0x00007fb7722dd34f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
---Type <return> to continue, or q <return> to quit---
#24 0x00007fb77228437a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
    () from /usr/lib/libQt5Core.so.5
#25 0x00007fb77228c33c in QCoreApplication::exec() ()
   from /usr/lib/libQt5Core.so.5
#26 0x000000000040d0d5 in main ()
Comment 4 Martin Flöser 2015-11-17 06:55:00 UTC
interesting backtrace. Can you try getting debug symbols for Qt and kwindowsystem.
Comment 5 Martin Flöser 2015-11-17 06:56:53 UTC
this might be the same problem as described in http://commits.kde.org/kactivities/8316370e021ff14c54dea4632ec7548253d731b4
Comment 6 Mikhail Khvoinitsky 2015-11-20 06:44:36 UTC
> Can you try getting debug symbols for Qt and kwindowsystem.
I will do this in a week.
Comment 7 Martin Flöser 2015-12-15 17:41:43 UTC
(In reply to Mikhail Khvoinitsky from comment #6)
> > Can you try getting debug symbols for Qt and kwindowsystem.
> I will do this in a week.

any update?
Comment 8 Mikhail Khvoinitsky 2015-12-17 06:37:12 UTC
(In reply to Martin Gräßlin from comment #7)
> (In reply to Mikhail Khvoinitsky from comment #6)
> > > Can you try getting debug symbols for Qt and kwindowsystem.
> > I will do this in a week.
> 
> any update?

I apologize for the delay.
For some reason I can not make gdb to find debug symbols for Qt.

Here the fresh backtrace from fresh plasma 5.5.1 with debug information from kscreenlocker and kwindowsystem. Let me know if you still need backtrace with Qt debug symbols.


#0  0x00007f91485c55f8 in raise () from /usr/lib/libc.so.6
#1  0x00007f914a9e5e97 in KCrash::defaultCrashHandler(int) () from /usr/lib/libKF5Crash.so.5
#2  <signal handler called>
#3  0x00007f91485c55f8 in raise () from /usr/lib/libc.so.6
#4  0x00007f91485c6a7a in abort () from /usr/lib/libc.so.6
#5  0x00007f9148d60fd1 in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/libQt5Core.so.5
#6  0x00007f9143e82b11 in QWidgetPrivate::init(QWidget*, QFlags<Qt::WindowType>) () from /usr/lib/libQt5Widgets.so.5
#7  0x00007f9143e98bb3 in QDesktopWidget::QDesktopWidget() () from /usr/lib/libQt5Widgets.so.5
#8  0x00007f9143e3a36d in QApplication::desktop() () from /usr/lib/libQt5Widgets.so.5
#9  0x00007f912799eda4 in NETEventFilter::mapViewport (this=0x19f30b0)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:357
No locals.
#10 0x00007f91279a2418 in KWindowSystemPrivateX11::mapViewport (this=<optimized out>)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:1073
No locals.
#11 0x00007f9144cfb352 in NETRootInfo::currentDesktop (this=this@entry=0x19f30b0, 
    ignore_viewport=ignore_viewport@entry=false)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/netwm.cpp:2531
No locals.
#12 0x00007f912799fc3c in NETEventFilter::nativeEventFilter (this=0x19f30b0, ev=0x7f9130003f90)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:194
        old_active_window = <optimized out>
        m = {140261971763776, 140261971763776, 140261971763776, 1, 0}
        old_current_desktop = <optimized out>
        old_number_of_desktops = <optimized out>
        old_showing_desktop = <optimized out>
        s_q = 0x7f9144f17240 <(anonymous namespace)::Q_QGS_g_kwmInstanceContainer::innerFunction()::holder>
        eventType = 33 '!'
        eventWindow = 193
#13 0x00007f9148f514cf in QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*) ()
   from /usr/lib/libQt5Core.so.5
#14 0x00007f9136e43d24 in QXcbConnection::handleXcbEvent(xcb_generic_event_t*) () from /usr/lib/libQt5XcbQpa.so.5
#15 0x00007f9136e44ad3 in QXcbConnection::processXcbEvents() () from /usr/lib/libQt5XcbQpa.so.5
#16 0x00007f9148f83fa1 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#17 0x00007f9148f54839 in QCoreApplication::notify(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#18 0x00007f9148f5496b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#19 0x00007f9148f56d66 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /usr/lib/libQt5Core.so.5
#20 0x00007f9148faaf03 in ?? () from /usr/lib/libQt5Core.so.5
#21 0x00007f9140b67dc7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#22 0x00007f9140b68020 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0x00007f9140b680cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#24 0x00007f9148fab30f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/libQt5Core.so.5
#25 0x00007f9148f5233a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#26 0x00007f9148f5a2fc in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#27 0x000000000040ae77 in main (argc=6, argv=<optimized out>)
    at /tmp/kscreenlocker/src/kscreenlocker-5.5.1/greeter/main.cpp:132
        app = {<QGuiApplication> = {<No data fields>}, static staticMetaObject = {d = {
              superdata = 0x7f9149af44a0 <QGuiApplication::staticMetaObject>, 
              stringdata = 0x417600 <qt_meta_stringdata_ScreenLocker__UnlockApp>, 
              data = 0x417500 <qt_meta_data_ScreenLocker__UnlockApp>, 
              static_metacall = 0x411e30 <ScreenLocker::UnlockApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, m_mainQmlPath = {d = 0x18397e0}, 
          m_views = {<QListSpecialMethods<KQuickAddons::QuickViewSharedEngine*>> = {<No data fields>}, {p = {
                static shared_null = {ref = {atomic = {_q_value = -1}}, alloc = 0, begin = 0, end = 0, array = {
                    0x0}}, d = 0x1a37ba0}, d = 0x1a37ba0}}, m_resetRequestIgnoreTimer = 0x17fb9e0, 
          m_delayedLockTimer = 0x0, m_package = <incomplete type>, m_testing = false, m_ignoreRequests = false, 
          m_immediateLock = true, m_runtimeInitialized = 73, m_authenticator = 0x181ca60, m_graceTime = 5000, 
          m_noLock = false, m_ksldConnection = 0x1821df0, m_ksldRegistry = 0x182fe00, 
          m_ksldConnectionThread = 0x1821910, m_ksldInterface = 0x1ac2e00, m_plasmaShell = 0x0}
        parser = {d = 0x182e300}
        testingOption = {d = {d = 0x1822480}}
        immediateLockOption = {d = {d = 0x183b680}}
        graceTimeOption = {d = {d = 0x182af30}}
        nolockOption = {d = {d = 0x183be10}}
        waylandFdOption = {d = {d = 0x182b570}}
        ok = true
        graceTime = <optimized out>
        sa = {__sigaction_handler = {sa_handler = 0x4108e0 <signalHandler(int)>, 
            sa_sigaction = 0x4108e0 <signalHandler(int)>}, sa_mask = {__val = {0 <repeats 16 times>}}, 
          sa_flags = 268435456, sa_restorer = 0x619738}
Comment 9 Martin Flöser 2015-12-17 07:17:23 UTC
all right, that clearly is the same problem: no QApplication in greeter process.
Comment 10 Mikhail Khvoinitsky 2015-12-17 07:20:15 UTC
Finally:

#0  0x00007f91485c55f8 in raise () from /usr/lib/libc.so.6
#1  0x00007f914a9e5e97 in KCrash::defaultCrashHandler(int) () from /usr/lib/libKF5Crash.so.5
#2  <signal handler called>
#3  0x00007f91485c55f8 in raise () from /usr/lib/libc.so.6
#4  0x00007f91485c6a7a in abort () from /usr/lib/libc.so.6
#5  0x00007f9148d60fd1 in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/libQt5Core.so.5
#6  0x00007f9143e82b11 in QWidgetPrivate::init(QWidget*, QFlags<Qt::WindowType>) () from /usr/lib/libQt5Widgets.so.5
#7  0x00007f9143e98bb3 in QDesktopWidget::QDesktopWidget() () from /usr/lib/libQt5Widgets.so.5
#8  0x00007f9143e3a36d in QApplication::desktop() () from /usr/lib/libQt5Widgets.so.5
#9  0x00007f912799eda4 in NETEventFilter::mapViewport (this=0x19f30b0)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:357
No locals.
#10 0x00007f91279a2418 in KWindowSystemPrivateX11::mapViewport (this=<optimized out>)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:1073
No locals.
#11 0x00007f9144cfb352 in NETRootInfo::currentDesktop (this=this@entry=0x19f30b0, 
    ignore_viewport=ignore_viewport@entry=false)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/netwm.cpp:2531
No locals.
#12 0x00007f912799fc3c in NETEventFilter::nativeEventFilter (this=0x19f30b0, ev=0x7f9130003f90)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:194
        old_active_window = <optimized out>
        m = {140261971763776, 140261971763776, 140261971763776, 1, 0}
        old_current_desktop = <optimized out>
        old_number_of_desktops = <optimized out>
        old_showing_desktop = <optimized out>
        s_q = 0x7f9144f17240 <(anonymous namespace)::Q_QGS_g_kwmInstanceContainer::innerFunction()::holder>
        eventType = 33 '!'
        eventWindow = 193
#13 0x00007f9148f514cf in QAbstractEventDispatcher::filterNativeEvent(QByteArray const&, void*, long*) ()
   from /usr/lib/libQt5Core.so.5
#14 0x00007f9136e43d24 in QXcbConnection::handleXcbEvent(xcb_generic_event_t*) () from /usr/lib/libQt5XcbQpa.so.5
#15 0x00007f9136e44ad3 in QXcbConnection::processXcbEvents() () from /usr/lib/libQt5XcbQpa.so.5
#16 0x00007f9148f83fa1 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#17 0x00007f9148f54839 in QCoreApplication::notify(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#18 0x00007f9148f5496b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#19 0x00007f9148f56d66 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /usr/lib/libQt5Core.so.5
#20 0x00007f9148faaf03 in ?? () from /usr/lib/libQt5Core.so.5
#21 0x00007f9140b67dc7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#22 0x00007f9140b68020 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0x00007f9140b680cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#24 0x00007f9148fab30f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/libQt5Core.so.5
#25 0x00007f9148f5233a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#26 0x00007f9148f5a2fc in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#27 0x000000000040ae77 in main (argc=6, argv=<optimized out>)
    at /tmp/kscreenlocker/src/kscreenlocker-5.5.1/greeter/main.cpp:132
        app = {<QGuiApplication> = {<No data fields>}, static staticMetaObject = {d = {
              superdata = 0x7f9149af44a0 <QGuiApplication::staticMetaObject>, 
              stringdata = 0x417600 <qt_meta_stringdata_ScreenLocker__UnlockApp>, 
              data = 0x417500 <qt_meta_data_ScreenLocker__UnlockApp>, 
              static_metacall = 0x411e30 <ScreenLocker::UnlockApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, m_mainQmlPath = {d = 0x18397e0}, 
          m_views = {<QListSpecialMethods<KQuickAddons::QuickViewSharedEngine*>> = {<No data fields>}, {p = {
                static shared_null = {ref = {atomic = {_q_value = -1}}, alloc = 0, begin = 0, end = 0, array = {
                    0x0}}, d = 0x1a37ba0}, d = 0x1a37ba0}}, m_resetRequestIgnoreTimer = 0x17fb9e0, 
          m_delayedLockTimer = 0x0, m_package = <incomplete type>, m_testing = false, m_ignoreRequests = false, 
          m_immediateLock = true, m_runtimeInitialized = 73, m_authenticator = 0x181ca60, m_graceTime = 5000, 
          m_noLock = false, m_ksldConnection = 0x1821df0, m_ksldRegistry = 0x182fe00, 
          m_ksldConnectionThread = 0x1821910, m_ksldInterface = 0x1ac2e00, m_plasmaShell = 0x0}
        parser = {d = 0x182e300}
        testingOption = {d = {d = 0x1822480}}
        immediateLockOption = {d = {d = 0x183b680}}
        graceTimeOption = {d = {d = 0x182af30}}
        nolockOption = {d = {d = 0x183be10}}
        waylandFdOption = {d = {d = 0x182b570}}
        ok = true
        graceTime = <optimized out>
        sa = {__sigaction_handler = {sa_handler = 0x4108e0 <signalHandler(int)>, 
            sa_sigaction = 0x4108e0 <signalHandler(int)>}, sa_mask = {__val = {0 <repeats 16 times>}}, 
          sa_flags = 268435456, sa_restorer = 0x619738}
#0  0x00007f28477f95f8 in raise () from /usr/lib/libc.so.6
#1  0x00007f2849c4ee97 in KCrash::defaultCrashHandler(int) () from /usr/lib/libKF5Crash.so.5
#2  <signal handler called>
#3  0x00007f28477f95f8 in raise () from /usr/lib/libc.so.6
#4  0x00007f28477faa7a in abort () from /usr/lib/libc.so.6
#5  0x00007f2847f9634d in qt_message_fatal (context=..., message=<synthetic pointer>) at global/qlogging.cpp:1578
No locals.
#6  QMessageLogger::fatal (this=this@entry=0x7fff9b83a530, 
    msg=msg@entry=0x7f284341b0c0 "QWidget: Cannot create a QWidget without QApplication") at global/qlogging.cpp:781
        message = <optimized out>
        ap = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff9b83a520, reg_save_area = 0x7fff9b83a460}}
#7  0x00007f2843099e78 in QWidgetPrivate::init (this=0xe90010, parentWidget=parentWidget@entry=0x0, f=..., 
    f@entry=...) at kernel/qwidget.cpp:1115
        q = 0xe7dce0
        targetScreen = <optimized out>
        e = {_vptr.QEvent = 0x2, static staticMetaObject = {d = {superdata = 0x0, 
              stringdata = 0x7f2848355a20 <qt_meta_stringdata_QEvent>, data = 0x7f2848355480 <qt_meta_data_QEvent>, 
              static_metacall = 0x0, relatedMetaObjects = 0x0, extradata = 0x0}}, d = 0x0, t = 0, posted = 0, 
          spont = 0, m_accept = 0, reserved = 0}
#8  0x00007f284309a3e1 in QWidget::QWidget (this=0xe7dce0, dd=..., parent=0x0, f=...) at kernel/qwidget.cpp:1033
No locals.
#9  0x00007f28430b0332 in QDesktopWidget::QDesktopWidget (this=0xe7dce0) at kernel/qdesktopwidget.cpp:131
No locals.
#10 0x00007f284304dd6f in QApplication::desktop () at kernel/qapplication.cpp:2869
No locals.
#11 0x00007f2826c42da4 in NETEventFilter::mapViewport (this=0xf3ed80)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:357
No locals.
#12 0x00007f2826c46418 in KWindowSystemPrivateX11::mapViewport (this=<optimized out>)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:1073
No locals.
#13 0x00007f2843f2e352 in NETRootInfo::currentDesktop (this=this@entry=0xf3ed80, 
    ignore_viewport=ignore_viewport@entry=false)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/netwm.cpp:2531
No locals.
#14 0x00007f2826c43c3c in NETEventFilter::nativeEventFilter (this=0xf3ed80, ev=0x7f28300043b0)
    at /tmp/kwindowsystem/src/kwindowsystem-5.17.0/src/platforms/xcb/kwindowsystem.cpp:194
        old_active_window = <optimized out>
        m = {139810974749508, 12597520, 139810580741952, 4, 139810580741988}
        old_current_desktop = <optimized out>
        old_number_of_desktops = <optimized out>
        old_showing_desktop = <optimized out>
        s_q = 0x7f284414a240 <(anonymous namespace)::Q_QGS_g_kwmInstanceContainer::innerFunction()::holder>
        eventType = 28 '\034'
        eventWindow = 193
#15 0x00007f284819348f in QAbstractEventDispatcher::filterNativeEvent (this=<optimized out>, eventType=..., 
    message=message@entry=0x7f28300043b0, result=result@entry=0x7fff9b83a7d8)
    at kernel/qabstracteventdispatcher.cpp:460
        filter = <optimized out>
        i = 2
        loopLevelCounter = {threadData = 0xbf9710}
        d = 0xc3a3c0
#16 0x00007f28360541e8 in QXcbConnection::handleXcbEvent (this=this@entry=0xc03910, event=event@entry=0x7f28300043b0)
    at qxcbconnection.cpp:1020
        result = 0
        dispatcher = <optimized out>
        handled = <optimized out>
        response_type = <optimized out>
#17 0x00007f2836054d6d in QXcbConnection::processXcbEvents (this=0xc03910) at qxcbconnection.cpp:1502
        accepted = false
        it = 0x7f2848250a70 <qt_array+48>
        event = 0x7f28300043b0
        eventGuard = {d = 0x7f28300043b0}
        response_type = <optimized out>
        i = 2
        connection_error = <optimized out>
        eventqueue = 0xc06258
#18 0x00007f2836081bb8 in QXcbConnection::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, 
    _id=<optimized out>, _a=<optimized out>) at .moc/moc_qxcbconnection.cpp:187
        _t = <optimized out>
#19 0x00007f28481c82d1 in QObject::event (this=0xc03910, e=<optimized out>) at kernel/qobject.cpp:1239
        mce = <optimized out>
        sw = {receiver = 0xc03910, previousSender = 0x0, currentSender = {sender = 0xc06240, signal = 5, ref = 1}, 
          switched = true}
#20 0x00007f28360555fd in QXcbConnection::event (this=<optimized out>, e=0x7f2830003590) at qxcbconnection.cpp:2099
No locals.
#21 0x00007f2848196d31 in QCoreApplication::notify (this=<optimized out>, receiver=<optimized out>, 
    event=<optimized out>) at kernel/qcoreapplication.cpp:1038
        d = <optimized out>
#22 0x00007f2848196e7b in QCoreApplication::notifyInternal (this=0x7fff9b83ae10, receiver=0xc03910, 
    event=event@entry=0x7f2830003590) at kernel/qcoreapplication.cpp:965
        result = false
        cbdata = {0xc03910, 0x7f2830003590, 0x7fff9b83a9cf}
        d = <optimized out>
        threadData = 0xbf9710
        loopLevelCounter = {threadData = 0xbf9710}
#23 0x00007f2848199406 in QCoreApplication::sendEvent (event=0x7f2830003590, receiver=<optimized out>)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:224
No locals.
#24 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, 
    data=0xbf9710) at kernel/qcoreapplication.cpp:1593
        e = 0x7f2830003590
        pe = <optimized out>
        r = <optimized out>
        unlocker = {m = <synthetic pointer>}
        event_deleter = {d = 0x7f2830003590}
        locker = {val = 12556088}
        startOffset = 0
        i = @0xbf972c: 3
        cleanup = {receiver = 0x0, event_type = 0, data = 0xbf9710, exceptionCaught = true}
#25 0x00007f28481998f7 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, 
    event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1451
        data = <optimized out>
#26 0x00007f28481f00d6 in postEventSourceDispatch (s=0xc39190) at kernel/qeventdispatcher_glib.cpp:271
        source = 0xc39190
#27 0x00007f283fd78dc7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0x00007f283fd79020 in ?? () from /usr/lib/libglib-2.0.so.0
#29 0x00007f283fd790cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0x00007f28481f052e in QEventDispatcherGlib::processEvents (this=0xc2d650, flags=...)
    at kernel/qeventdispatcher_glib.cpp:418
        d = 0xc3a3c0
        canWait = true
        savedFlags = {i = 0}
        result = <optimized out>
#31 0x00007f2836082b25 in QPAEventDispatcherGlib::processEvents (this=<optimized out>, flags=...)
    at eventdispatchers/qeventdispatcher_glib.cpp:115
No locals.
#32 0x00007f284819442a in QEventLoop::exec (this=this@entry=0x7fff9b83acc0, flags=..., flags@entry=...)
    at kernel/qeventloop.cpp:204
        d = 0xe98f00
        locker = {val = 12556288}
        ref = {d = 0xe98f00, locker = @0x7fff9b83ac40, exceptionCaught = true}
#33 0x00007f284819c94b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1229
        threadData = 0xbf9710
        eventLoop = {<QObject> = {_vptr.QObject = 0x7f28485e34d8 <vtable for QEventLoop+16>, 
            static staticMetaObject = {d = {superdata = 0x0, 
                stringdata = 0x7f28482f5f40 <qt_meta_stringdata_QObject>, 
                data = 0x7f28482f5e20 <qt_meta_data_QObject>, 
                static_metacall = 0x7f28481cf7d0 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, d_ptr = {d = 0xe98f00}, static staticQtMetaObject = {d = {
                superdata = 0x0, stringdata = 0x7f28483400a0 <qt_meta_stringdata_Qt>, 
                data = 0x7f284833d6a0 <qt_meta_data_Qt>, static_metacall = 0x0, relatedMetaObjects = 0x0, 
                extradata = 0x0}}}, static staticMetaObject = {d = {
              superdata = 0x7f28485dab80 <QObject::staticMetaObject>, 
              stringdata = 0x7f2848355060 <qt_meta_stringdata_QEventLoop>, 
              data = 0x7f2848355000 <qt_meta_data_QEventLoop>, 
              static_metacall = 0x7f284824ad20 <QEventLoop::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}}
        returnCode = <optimized out>
#34 0x00007f28486f621b in QGuiApplication::exec () at kernel/qguiapplication.cpp:1527
No locals.
#35 0x000000000040ae77 in main (argc=6, argv=<optimized out>)
    at /tmp/kscreenlocker/src/kscreenlocker-5.5.1/greeter/main.cpp:132
        app = {<QGuiApplication> = {<QCoreApplication> = {<QObject> = {
                _vptr.QObject = 0x619a88 <vtable for ScreenLocker::UnlockApp+16>, static staticMetaObject = {d = {
                    superdata = 0x0, stringdata = 0x7f28482f5f40 <qt_meta_stringdata_QObject>, 
                    data = 0x7f28482f5e20 <qt_meta_data_QObject>, 
                    static_metacall = 0x7f28481cf7d0 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, d_ptr = {d = 0xbfb380}, static staticQtMetaObject = {d = {
                    superdata = 0x0, stringdata = 0x7f28483400a0 <qt_meta_stringdata_Qt>, 
                    data = 0x7f284833d6a0 <qt_meta_data_Qt>, static_metacall = 0x0, relatedMetaObjects = 0x0, 
                    extradata = 0x0}}}, static staticMetaObject = {d = {
                  superdata = 0x7f28485dab80 <QObject::staticMetaObject>, 
                  stringdata = 0x7f2848355240 <qt_meta_stringdata_QCoreApplication>, 
                  data = 0x7f2848355120 <qt_meta_data_QCoreApplication>, 
                  static_metacall = 0x7f284824aec0 <QCoreApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static self = 0x7fff9b83ae10}, static staticMetaObject = {
              d = {superdata = 0x7f28485e3620 <QCoreApplication::staticMetaObject>, 
                stringdata = 0x7f2848a9b020 <qt_meta_stringdata_QGuiApplication>, 
                data = 0x7f2848a9ae20 <qt_meta_data_QGuiApplication>, 
                static_metacall = 0x7f2848700dc0 <QGuiApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}}, static staticMetaObject = {d = {
              superdata = 0x7f2848d554a0 <QGuiApplication::staticMetaObject>, 
              stringdata = 0x417600 <qt_meta_stringdata_ScreenLocker__UnlockApp>, 
              data = 0x417500 <qt_meta_data_ScreenLocker__UnlockApp>, 
              static_metacall = 0x411e30 <ScreenLocker::UnlockApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, m_mainQmlPath = {d = 0xc4b630}, 
          m_views = {<QListSpecialMethods<KQuickAddons::QuickViewSharedEngine*>> = {<No data fields>}, {p = {
                static shared_null = {ref = {atomic = {_q_value = -1}}, alloc = 0, begin = 0, end = 0, array = {
                    0x0}}, d = 0xe86ff0}, d = 0xe86ff0}}, m_resetRequestIgnoreTimer = 0xc11880, 
          m_delayedLockTimer = 0x0, m_package = <incomplete type>, m_testing = false, m_ignoreRequests = false, 
          m_immediateLock = true, m_runtimeInitialized = 72, m_authenticator = 0xc3a770, m_graceTime = 5000, 
          m_noLock = false, m_ksldConnection = 0xc51700, m_ksldRegistry = 0xc44400, 
          m_ksldConnectionThread = 0xc3b600, m_ksldInterface = 0xe890e0, m_plasmaShell = 0x0}
        parser = {d = 0xc50410}
        testingOption = {d = {d = 0xc3c090}}
        immediateLockOption = {d = {d = 0xc50af0}}
        graceTimeOption = {d = {d = 0xc519d0}}
        nolockOption = {d = {d = 0xc50870}}
        waylandFdOption = {d = {d = 0xc36440}}
        ok = true
        graceTime = <optimized out>
        sa = {__sigaction_handler = {sa_handler = 0x4108e0 <signalHandler(int)>, 
            sa_sigaction = 0x4108e0 <signalHandler(int)>}, sa_mask = {__val = {0 <repeats 16 times>}}, 
          sa_flags = 268435456, sa_restorer = 0x619738}
Comment 11 Martin Flöser 2015-12-17 08:07:43 UTC
Workaround patch: https://git.reviewboard.kde.org/r/126397/

I don't have Compiz in my distribution, I cannot verify whether it works. If you could compile the patch and test whether it solves the problem, it would be appreciated.
Comment 12 Mikhail Khvoinitsky 2015-12-17 09:08:15 UTC
(In reply to Martin Gräßlin from comment #11)
> Workaround patch: https://git.reviewboard.kde.org/r/126397/
> 
> I don't have Compiz in my distribution, I cannot verify whether it works. If
> you could compile the patch and test whether it solves the problem, it would
> be appreciated.

It solves the problem, thank you.
Which version of frameworks will be this patch released in?
Comment 13 Martin Flöser 2015-12-17 09:20:36 UTC
> It solves the problem, thank you.

Thanks for testing

> Which version of frameworks will be this patch released in?

will go into the next.
Comment 14 Thomas Lübking 2015-12-17 15:40:54 UTC
Less workaround, equally not tested - much fun ;-)
https://git.reviewboard.kde.org/r/126403/
Comment 15 Aleix Pol 2015-12-23 14:52:08 UTC
Can somebody test thomas's patch? It would be very appreciated.
Comment 16 Thomas Lübking 2016-01-15 21:16:58 UTC
Git commit 46c525f8fe77a10923eb2d604bf0f71bf59b5d1d by Thomas Lübking.
Committed on 15/01/2016 at 21:15.
Pushed by luebking into branch 'master'.

get rid of QApplication dependency
FIXED-IN: 5.19
REVIEW: 126403

M  +61   -20   src/platforms/xcb/kwindowsystem.cpp

http://commits.kde.org/kwindowsystem/46c525f8fe77a10923eb2d604bf0f71bf59b5d1d